import { defineComponent as s, mergeModels as d, useModel as c, createElementBlock as p, openBlock as m, createVNode as u, unref as l } from "vue";
import { useI18n as f } from "vue-i18n";
import { d as x, e as _, o as b } from "./start-CE9SawgU.js";
import "pinia";
import "./header-Bn1EKnBE.js";
const V = { class: "extension-config d-flex flex-wrap" }, r = /* @__PURE__ */ s({
  __name: "ExtractValueExtension",
  props: /* @__PURE__ */ d({
    attributeMap: {},
    destinationAttribute: {},
    sourceAttributes: {},
    etlAttributeSetMapId: {}
  }, {
    modelValue: {},
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(a) {
    const e = c(a, "modelValue"), { t: n } = f();
    return (g, t) => (m(), p("div", V, [
      u(l(x), {
        modelValue: e.value.path,
        "onUpdate:modelValue": t[0] || (t[0] = (o) => e.value.path = o),
        label: l(n)("datahub-plugin.etl.extract-value.ValueExtractionPath"),
        placeholder: "e.g. pimProduct._pim_ean",
        "max-width": "567",
        "persistent-placeholder": ""
      }, null, 8, ["modelValue", "label"]),
      u(l(_), {
        modelValue: e.value.nullCoalescing,
        "onUpdate:modelValue": t[1] || (t[1] = (o) => e.value.nullCoalescing = o),
        label: l(n)("datahub-plugin.etl.extract-value.NullCoalescing"),
        "max-width": "567"
      }, null, 8, ["modelValue", "label"])
    ]));
  }
});
function i(a) {
  const e = a;
  e.__i18n = e.__i18n || [], e.__i18n.push({
    locale: "",
    resource: {
      "en-US": {
        "datahub-plugin": {
          etl: {
            "extract-value": {
              NullCoalescing: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Null coalescing" } },
              ValueExtractionPath: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Path for value extraction" } }
            }
          }
        }
      },
      "de-DE": {
        "datahub-plugin": {
          etl: {
            "extract-value": {
              NullCoalescing: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Null-Koaleszenz" } },
              ValueExtractionPath: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Pfad zur Wertextraktion" } }
            }
          }
        }
      }
    }
  });
}
typeof i == "function" && i(r);
const P = /* @__PURE__ */ b(r, [["__scopeId", "data-v-ab4dab3d"]]);
export {
  P as default
};
